## org.apache.lucene.spatial.geometry.shape
Interface Geometry2D

All Known Implementing Classes:
  Ellipse, Rectangle

Deprecated.

    @Deprecated
    public interface Geometry2D

Common set of operations available on 2d shapes.

NOTE: This API is still in flux and might change in incompatible ways in the next release.

Method Summary
`double` `area()` Deprecated. Return the area
`Point2D` `centroid()` Deprecated. Return the centroid
`boolean` `contains(Point2D p)` Deprecated. Does the shape contain the given point
`IntersectCase` `intersect(Rectangle r)` Deprecated. Returns information about how this shape intersects the given rectangle
`void` `translate(Vector2D v)` Deprecated. Translate according to the vector

Method Detail

### translate

    void translate(Vector2D v)

  Deprecated.
  Translate according to the vector

  Parameters:
    `v` -

### contains

    boolean contains(Point2D p)

  Deprecated.
  Does the shape contain the given point

  Parameters:
    `p` -

### area

    double area()

  Deprecated.
  Return the area

### centroid

    Point2D centroid()

  Deprecated.
  Return the centroid

### intersect

    IntersectCase intersect(Rectangle r)

  Deprecated.
  Returns information about how this shape intersects the given rectangle

  Parameters:
    `r` -